<resources xmlns:android="http://schemas.android.com/apk/res/android" xmlns:tools="http://schemas.android.com/tools">
    <!-- Base application theme. -->
    <style name="Theme.red_blue" parent="Theme.MaterialComponents.DayNight.DarkActionBar">
        <!-- Primary brand color. -->
        <item name="android:windowTranslucentStatus" tools:targetApi="kitkat">true</item>
        <item name="android:windowTranslucentNavigation" tools:targetApi="kitkat">true</item>
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
        <item name="colorPrimary">@color/red</item>
        <item name="colorPrimaryVariant">@color/red_dark</item>
        <item name="colorOnPrimary">@color/white</item>
        <item name="colorOnBackground">@color/colorOnBackgroundNight</item>
        <item name="colorBackgroundFloating">#BF000000</item>
        <!-- Secondary brand color. -->
        <item name="colorSecondary">@color/blue</item>
        <item name="colorSecondaryVariant">@color/red_dark</item>
        <item name="colorOnSecondary">@color/black</item>
        <!-- Status bar color. -->
        <item name="android:statusBarColor" tools:targetApi="l">?attr/colorPrimaryVariant</item>
        <!-- Customize your theme here. -->
        <item name="colorControlActivated">@color/red</item>
        <item name="actionOverflowMenuStyle">@style/ActionPopupMenuStyle</item>
        <item name="android:actionOverflowMenuStyle">@style/ActionPopupMenuStyle</item>
    </style>


    <style name="Theme.red_blue.NoActionBar">
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
    </style>

    <style name="Theme.red_blue.AppBarOverlay" parent="ThemeOverlay.AppCompat.Dark.ActionBar" />

    <style name="Theme.red_blue.PopupOverlay" parent="ThemeOverlay.AppCompat.Light" />

    <style name="Theme.green_yellow.NoActionBar">
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
    </style>

    <style name="Theme.green_yellow.AppBarOverlay" parent="ThemeOverlay.AppCompat.Dark.ActionBar" />

    <style name="Theme.green_yellow.PopupOverlay" parent="ThemeOverlay.AppCompat.Light" />

    <style name="PopupMenuStyle" parent="Theme.AppCompat.Light">
        <item name="android:background">@color/white</item>
    </style>

    <style name="ActionPopupMenuStyle" parent="Widget.AppCompat.PopupMenu">
        <item name="android:popupBackground">@drawable/button_round</item>
    </style>

    <style name="Theme.orange_turquoise.NoActionBar">
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
    </style>

    <style name="Theme.orange_turquoise.AppBarOverlay" parent="ThemeOverlay.AppCompat.Dark.ActionBar" />

    <style name="Theme.orange_turquoise.PopupOverlay" parent="ThemeOverlay.AppCompat.Light" />

    <style name="Theme.yellow_blue.NoActionBar">
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
    </style>

    <style name="Theme.yellow_blue.AppBarOverlay" parent="ThemeOverlay.AppCompat.Dark.ActionBar" />

    <style name="Theme.yellow_blue.PopupOverlay" parent="ThemeOverlay.AppCompat.Light" />

    <style name="Theme.pink_green.NoActionBar">
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
    </style>

    <style name="Theme.pink_green.AppBarOverlay" parent="ThemeOverlay.AppCompat.Dark.ActionBar" />

    <style name="Theme.pink_green.PopupOverlay" parent="ThemeOverlay.AppCompat.Light" />

    <style name="Theme.green_yellow" parent="Theme.MaterialComponents.DayNight.DarkActionBar">
        <!-- Primary brand color. -->
        <item name="android:windowTranslucentStatus" tools:targetApi="kitkat">true</item>
        <item name="android:windowTranslucentNavigation" tools:targetApi="kitkat">true</item>
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
        <item name="colorPrimary">@color/green</item>
        <item name="colorPrimaryVariant">@color/white</item>
        <item name="colorOnPrimary">@color/white</item>
        <item name="colorOnBackground">@color/colorOnBackgroundNight</item>
        <item name="colorBackgroundFloating">#BF000000</item>
        <!-- Secondary brand color. -->
        <item name="colorSecondary">@color/yellow</item>
        <item name="colorSecondaryVariant">@color/red_dark</item>
        <item name="colorOnSecondary">@color/black</item>
        <!-- Status bar color. -->
        <item name="android:statusBarColor" tools:targetApi="l">?attr/colorPrimaryVariant</item>
        <!-- Customize your theme here. -->
        <item name="actionOverflowMenuStyle">@style/ActionPopupMenuStyle</item>
        <item name="colorControlActivated">@color/green</item>
    </style>

    <style name="Theme.orange_turquoise" parent="Theme.MaterialComponents.DayNight.DarkActionBar">
        <!-- Primary brand color. -->
        <item name="android:windowTranslucentStatus" tools:targetApi="kitkat">true</item>
        <item name="android:windowTranslucentNavigation" tools:targetApi="kitkat">true</item>
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
        <item name="colorPrimary">@color/orange</item>
        <item name="colorPrimaryVariant">@color/white</item>
        <item name="colorOnPrimary">@color/white</item>
        <item name="colorOnBackground">@color/colorOnBackgroundNight</item>
        <item name="colorBackgroundFloating">#BF000000</item>
        <!-- Secondary brand color. -->
        <item name="colorSecondary">@color/turquoise</item>
        <item name="colorSecondaryVariant">@color/red_dark</item>
        <item name="colorOnSecondary">@color/black</item>
        <!-- Status bar color. -->
        <item name="android:statusBarColor" tools:targetApi="l">?attr/colorPrimaryVariant</item>
        <!-- Customize your theme here. -->
        <item name="actionOverflowMenuStyle">@style/ActionPopupMenuStyle</item>
        <item name="colorControlActivated">@color/orange</item>
    </style>

    <style name="Theme.yellow_blue" parent="Theme.MaterialComponents.DayNight.DarkActionBar">
        <!-- Primary brand color. -->
        <item name="android:windowTranslucentStatus" tools:targetApi="kitkat">true</item>
        <item name="android:windowTranslucentNavigation" tools:targetApi="kitkat">true</item>
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
        <item name="colorPrimary">@color/yellow</item>
        <item name="colorPrimaryVariant">@color/white</item>
        <item name="colorOnPrimary">@color/white</item>
        <item name="colorOnBackground">@color/colorOnBackgroundNight</item>
        <item name="colorBackgroundFloating">#BF000000</item>
        <!-- Secondary brand color. -->
        <item name="colorSecondary">@color/blue</item>
        <item name="colorSecondaryVariant">@color/red_dark</item>
        <item name="colorOnSecondary">@color/black</item>
        <!-- Status bar color. -->
        <item name="android:statusBarColor" tools:targetApi="l">?attr/colorPrimaryVariant</item>
        <!-- Customize your theme here. -->
        <item name="actionOverflowMenuStyle">@style/ActionPopupMenuStyle</item>
        <item name="colorControlActivated">@color/yellow</item>
    </style>

    <style name="Theme.pink_green" parent="Theme.MaterialComponents.DayNight.DarkActionBar">
        <!-- Primary brand color. -->
        <item name="android:windowTranslucentStatus" tools:targetApi="kitkat">true</item>
        <item name="android:windowTranslucentNavigation" tools:targetApi="kitkat">true</item>
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
        <item name="colorPrimary">@color/pink</item>
        <item name="colorPrimaryVariant">@color/white</item>
        <item name="colorOnPrimary">@color/white</item>
        <item name="colorOnBackground">@color/colorOnBackgroundNight</item>
        <item name="colorBackgroundFloating">#BF000000</item>
        <!-- Secondary brand color. -->
        <item name="colorSecondary">@color/green</item>
        <item name="colorSecondaryVariant">@color/red_dark</item>
        <item name="colorOnSecondary">@color/black</item>
        <!-- Status bar color. -->
        <item name="android:statusBarColor" tools:targetApi="l">?attr/colorPrimaryVariant</item>
        <!-- Customize your theme here. -->
        <item name="actionOverflowMenuStyle">@style/ActionPopupMenuStyle</item>
        <item name="colorControlActivated">@color/pink</item>
    </style>

</resources>